#include "types.h"

void
cmd_flashid(argbulk)
	char *argbulk;
{
	char *argv[2];
	u32 base_addr;

	if (parse_args(argbulk, 1, 1, argv, 0) < 0)
		return;
	if (argv[0][0] == '1' && !argv[0][1])
		base_addr = 0x03000000;
	else if (argv[0][0] == '2' && !argv[0][1])
		base_addr = 0x02000000;
	else {
		printf("ERROR: argument must be 1 or 2\n");
		return;
	}
	printf("Base addr: %08X\n", base_addr);
	*(volatile u16 *)(base_addr + 0xAAA) = 0xAA;
	*(volatile u16 *)(base_addr + 0x554) = 0x55;
	*(volatile u16 *)(base_addr + 0xAAA) = 0x90;
	printf("offset 00: %04X\n", *(volatile u16 *)(base_addr + 0x00));
	printf("offset 02: %04X\n", *(volatile u16 *)(base_addr + 0x02));
	printf("offset 1C: %04X\n", *(volatile u16 *)(base_addr + 0x1C));
	printf("offset 1E: %04X\n", *(volatile u16 *)(base_addr + 0x1E));
	*(volatile u16 *)(base_addr + 0xAAA) = 0xF0;
}
